### Method

# Fwupd Report set_remote_id

#### Declaration [src]

    void
    fwupd_report_set_remote_id (
      FwupdReport* self,
      const gchar* remote_id
    )

#### Description [src]

Sets the remote ID.

Available since: | 1.9.3

#### Parameters

`remote_id` | `const gchar*`
| The remote, e.g. `lvfs`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.